Unable to Validate Error

Discussion about: tracktion.com
tovokas
KVRist
285 posts since 9 Sep, 2005 from Washington State. USA

Post Tue Aug 20, 2019 3:33 am

A few weeks back I happily went on a validation binge and validated every plugin on my system. However today when I tried to validate a new plugin I was greeted by:

"Unable to Validate: There was a problem validating this plugin, please check the plugin file still exists"

This same error pops up for every plugin I attempt to validate, including the plugs that Waveform validated last week. I restarted the system, then loaded on the current beta version just to see if that would help. No love.

(I do love the new wider Plugin Management screen. Thank you, that's something I've wanted for a while!)
iMac (Retina 5K, 27-inch, 2017), 4.2 GHz Intel Core i7
Radeon Pro 580 8 GB
Focusrite Scarlett 4i4 3rd Gen
Waveform 10/Studio One Pro 3.5

tovokas
KVRist
285 posts since 9 Sep, 2005 from Washington State. USA

Re: Unable to Validate Error

Post Thu Aug 22, 2019 11:17 pm

Now two days later... without any changes on my end, the validation is working again. :)

The mystery confounds me, but at least it’s working again!
iMac (Retina 5K, 27-inch, 2017), 4.2 GHz Intel Core i7
Radeon Pro 580 8 GB
Focusrite Scarlett 4i4 3rd Gen
Waveform 10/Studio One Pro 3.5

tovokas
KVRist
285 posts since 9 Sep, 2005 from Washington State. USA

Re: Unable to Validate Error

Post Tue Aug 27, 2019 9:08 pm

It's back to no longer validating. When I check in the logs, any validation attempt is triggering the following style error:

27 Aug 2019 21:59:22 *** ERROR: "/Users/******/Library/Caches/com.tracktion.Waveform/Temporary/pluginval/pluginval.app/Contents/MacOS/pluginval" --validate-in-process --validate "AudioUnit:Synths/aumu,APl1,AAS "
27 Aug 2019 22:06:20 *** ERROR: "/Users/******/Library/Caches/com.tracktion.Waveform/Temporary/pluginval/pluginval.app/Contents/MacOS/pluginval" --validate-in-process --validate "AudioUnit:Effects/aufx,Enha,Wzoo"
iMac (Retina 5K, 27-inch, 2017), 4.2 GHz Intel Core i7
Radeon Pro 580 8 GB
Focusrite Scarlett 4i4 3rd Gen
Waveform 10/Studio One Pro 3.5

tovokas
KVRist
285 posts since 9 Sep, 2005 from Washington State. USA

Re: Unable to Validate Error

Post Tue Aug 27, 2019 9:24 pm

It appears that the pluginval.app package is somehow getting damaged. When I peered inside the package, there didn't seem to be anything inside the "/pluginval.app/Contents/MacOS/" folder.

So I downloaded the source files from git, rebuilt the package, then copied the new version over the top of the old version: and it started working correctly again. Very strange. :)
iMac (Retina 5K, 27-inch, 2017), 4.2 GHz Intel Core i7
Radeon Pro 580 8 GB
Focusrite Scarlett 4i4 3rd Gen
Waveform 10/Studio One Pro 3.5

Return to “Tracktion”